ติดตั้ง Beryl บน Feisty

ไหนๆก็เขียนเล่าเรื่อง Beryl บน Feisty ไปแล้ว ก็เลยแนะนำวิธีติดตั้งซะด้วยเลยละกัล

  1. สั่ง sudo gedit /etc/apt/sources.list เพื่อเรียก Text Editor มาแก้ไข Repository
  2. เพิ่มบรรทัดนี้ลงไป deb http://ubuntu.beryl-project.org feisty main เพื่อเพิ่ม Repository สำหรับชี้ไปที่ไฟล์ Beryl
  3. สั่ง wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add - เพื่อติดตั้งคีย์สำหรับขออนุญาตดาวน์โหลดไฟล์จาก Repository ที่เพิ่งตั้งไป
  4. สั่ง sudo apt-get update เพื่ออัพเดทรายชื่อแพคเกจ
  5. สั่ง sudo apt-get install beryl emerald-themes เพื่อติดตั้ง beryl และ emerald
  6. เสร็จเรียบร้อย เรียกใช้งานได้เลย โดยสั่ง beryl-manager

สำหรับท่านผู้ใช้ Edgy ติดตั้งวิธีนี้ก็ได้ โดยข้อ 2 แก้เป็น deb http://ubuntu.beryl-project.org/ edgy main

ปล.เนื่องจาก Feisty มี Desktop Effect ในตัวแล้ว เพราะงั้นถ้าจะติดก็ติดสำหรับทดลองละกันนะครับ ถ้าจะใช้จริง ผมก็คงแนะนำให้ใช้ตัวที่เขาเตรียมไว้แล้วน่าจะดีกว่า (มั๊ง)

Comments

trust's picture

ดาวโหลด Feistyเสร็จแล้ว แต่ยังไม่ได้ลงเลยค่ะ ไม่ทราบว่าอย่างนี้ต้องลงไดรเวอร์การ์ดจอก่อนหรือเปล่าค่ะ - -'
gumara's picture

ปกติแล้วมันจะเจอเองอัตโนมัติครับ
somjate's picture

ผมใช้ Nvidia ทดลอง Feisty ไม่เห็นตั้ง Driver ให้เลยครับ จะเป็นตัว VESA ก็เลยลองเลือกใช้ Enable Desktop Effect ดู ปรากฏว่า "หน้าจอวูบ" ก็เดาว่าไม่อัตโนมัติซะแล้ว เลยต้องทำการติดตั้ง Driver เองต่างหาก ถึงจะใช้ Desktop Effect ไ้ด้ เห็นคุณมะระคอมเมนต์ว่ามัน "อัตโนมัติ" ก็แปลกใจเหมือนกันครับ ...
somjate's picture

<strong>Gumara said:</strong> <em>"ปล.เนื่องจาก Feisty มี Desktop Effect ในตัวแล้ว เพราะงั้นถ้าจะติดก็ติดสำหรับทดลองละกันนะครับ ถ้าจะใช้จริง ผมก็คงแนะนำให้ใช้ตัวที่เขาเตรียมไว้แล้วน่าจะดีกว่า (มั๊ง)"</em> ผมก็พยายามหาข่าวว่า ทำไม Feisty ถึงเลือก Compis มาเป็น Desktop Effect หลักแทนที่จะเลือกเป็น Beryl อยากรู้ว่าเขาใช้เกณฑ์อะไรตัดสิน แต่ยังไงผมก็เลือก Beryl ใจมันรักฮะ ... ^^
MuTu's picture

W: GPG error: http://ubuntu.beryl-project.org feisty Release: The following signatures were invalid: BADSIG 3FF0DB166A7476EA Nicholas Thomas (Repository signing key) <root@lupine.me.uk> W: You may want to run apt-get update to correct these problems ผมลองทำตามวิธีข้างบนอ่ะคับแต่มันก็ขึ้น error มาคับ แล้วมันก็ install ม่ายได้อ่ะคับช่วยหน่อยคับ
MuTu's picture

พอสั่ง install แล้วมันขึ้นยังงี้อ่ะคับ Reading package lists... Done Building dependency tree Reading state information... Done The following extra packages will be installed: beryl-core beryl-manager beryl-plugins beryl-plugins-data beryl-settings beryl-settings-bindings emerald libberyldecoration0 libberylsettings0 libemeraldengine0 Suggested packages: libberylsettings0-gconf The following NEW packages will be installed: beryl beryl-core beryl-manager beryl-plugins beryl-plugins-data beryl-settings beryl-settings-bindings emerald emerald-themes libberyldecoration0 libberylsettings0 libemeraldengine0 0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded. Need to get 2356kB/5273kB of archives. After unpacking 14.3MB of additional disk space will be used. Do you want to continue [Y/n]? y WARNING: The following packages cannot be authenticated! libberylsettings0 beryl-core libberyldecoration0 beryl-plugins-data beryl-plugins beryl-settings-bindings beryl-settings libemeraldengine0 emerald beryl Install these packages without verification [y/N]? y Get:1 http://ubuntu.beryl-project.org feisty/main beryl-plugins-data 0.2.0~0beryl1 [2356kB] Fetched 2357kB in 5s (448kB/s) Failed to fetch http://ubuntu.beryl-project.org/pool/feisty/main/0.2.0/beryl-plugins-data_0.2.0~0beryl1_all.deb Size mismatch E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing? ทำไงดีอ่ะคับ
gumara's picture

สั่ง <code>sudo apt-get install --fix-missing beryl emerald-themes</code>
บุคคลทั่วไป's picture

ผมมีเวอร์ชั่น 0.1.3 อยู่แล้วต้องเอาออกก่อนไหมครับ หรือว่าลงทับไปได้เลย แล้วถ้าเอาออก ทำไงครับ
บุคคลทั่วไป's picture

ผมลองทำตามดูแล้ว แต่ว่ามันยังไม่ได้ มันบอกว่า Reading package lists... Done Building dependency tree Reading state information... Done beryl is already the newest version. The following NEW packages will be installed: emerald-themes 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded. Need to get 1318kB of archives. After unpacking 3087kB of additional disk space will be used. Get:1 http://ubuntu.beryl-project.org feisty/main emerald-themes 0.2.0~0beryl1 [1318kB] Fetched 1B in 0s (7B/s) Failed to fetch http://ubuntu.beryl-project.org/pool/feisty/main/0.2.0/emerald-themes_0.2.0~0beryl1_all.deb Size mismatch pub@Imagine:~$ sudo apt-get install --fix-missing beryl emerald-themes Reading package lists... Done Building dependency tree Reading state information... Done beryl is already the newest version. The following NEW packages will be installed: emerald-themes 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded. Need to get 1318kB of archives. After unpacking 3087kB of additional disk space will be used. Get:1 http://ubuntu.beryl-project.org feisty/main emerald-themes 0.2.0~0beryl1 [1318kB] Fetched 1B in 0s (11B/s) <strong>Failed to fetch http://ubuntu.beryl-project.org/pool/feisty/main/0.2.0/emerald-themes_0.2.0~0beryl1_all.deb Size mismatch </strong> ผมควรทำยังไงต่อดีครับ อยากใช้มากๆ
mlocker's picture

ขอบคุณมากครับ ผมลองหลายวิธีไม่ได้ วิธีที่ทำซับซ้อนกว่านี้อีก ไม่รู้ว่ามันจะง่ายแค่นี้เอง ทำได้แล้ว ขอบคุณนะครับ
บุคคลทั่วไป's picture

คือว่าผมติดตั้งได้แล้ว สามารถเรียก emarald-manager ได้แล้วครับ แต่ว่าเลือกจะใช้ themes เนี่ยเลือกใช้ยังไงหรอครับ ผมไม่เจอปุ่ม apply เจอแต่ quit ครับ ขอบคุณล่วงหน้า
apichartp's picture

คลิกเลือกแล้วมันจะเปลี่ยนให้เองคับ ถ้าไม่เปลี่ยนแสดงว่าไม่ได้เลือกใช้ emerald ให้คลิ๊กขวาที่ไอคอนรูปเพชรแล้วเลือก Select Window Decorator เป็น Standard Beryl Decorator (Emerald) ถ้ายังไม่เปลี่ยนอีกให้เลือก Reload Window Decorator
บุคคลทั่วไป's picture

ตอนนี้ลงเสร็จแล้วมี_emerald theme manager ขึ้นมาแล้วแต่ทำไมมันทำอะไรไม่ได้เลยครัใครทราบช่วยด้วย
บุคคลทั่วไป's picture

ผมก็เป็น เหมือนกันครับ ลองสั่ง sudo apt-get install beryl-manager อีกครั้งดูนะครับ แล้วตามด้วยคำสั่ง beryl-manager คราวนี้น่าจะใช้ได้
บุคคลทั่วไป's picture

ใช้notebook การ์ดจอ atiป่าวคับ
บุคคลทั่วไป's picture

สำหรับคนใช้notebook การ์ดจอ ati นะครับ รู้สึกว่ามันจะมีปัญหาอยู่อ่ะคับ ใครสามารถลงแล้วใช้ได้ก็ฝากบอกต่อด้วยคับ
บุคคลทั่วไป's picture

ลงทุกอย่างได้ปกติ พอถึงบรรทัด install มันขึ้นอันนี้คับ palakons@fructose-ubuntu:~$ sudo apt-get install --fix-missing beryl emerald-themes E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable) E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it? ผมต้องทำยังงัยคับ
บุคคลทั่วไป's picture

รัน Packege manager อยู่นี่เอง เดี่ยวรอมันรันเสร็จ ....ได้เห็นดีกันแน่ ฮ่าๆๆๆๆ
มือใหม่ มากๆๆ's picture

ขึ้นแบบนี้ต้องทำอย่างไรครับ wuty@wuty-desktop:~$ sudo apt-get install --fix-missing beryl emerald-themes Reading package lists... Done Building dependency tree Reading state information... Done The following extra packages will be installed: beryl-core beryl-plugins beryl-plugins-data beryl-settings beryl-settings-bindings emerald libberyldecoration0 libberylsettings0 libemeraldengine0 Suggested packages: libberylsettings0-gconf libberylsettings0-kconfig Recommended packages: beryl-manager The following NEW packages will be installed: beryl beryl-core beryl-plugins beryl-plugins-data beryl-settings beryl-settings-bindings emerald emerald-themes libberyldecoration0 libberylsettings0 libemeraldengine0 0 upgraded, 11 newly installed, 0 to remove and 131 not upgraded. Need to get 0B/4967kB of archives. After unpacking 13.4MB of additional disk space will be used. Do you want to continue [Y/n]? y (Reading database ... dpkg: error processing /var/cache/apt/archives/libberylsettings0_0.2.1.dfsg+git20070318-0ubuntu2_i386.deb (--unpack): files list file for package `esound-common' is missing final newline Errors were encountered while processing: /var/cache/apt/archives/libberylsettings0_0.2.1.dfsg+git20070318-0ubuntu2_i386.deb Processing was halted because there were too many errors. E: Sub-process /usr/bin/dpkg returned an error code (1) wuty@wuty-desktop:~$
บุคคลทั่วไป's picture

ผมใช้คำสั่งนี้ สั่ง wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add - เพื่อติดตั้งคีย์สำหรับขออนุญาตดาวน์โหลดไฟล์จาก Repository ที่เพิ่งตั้งไป แล้วมันก็ขึ้นแบบนี้อ่ะ –10:48:21– http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg => `-’ Resolving ubuntu.beryl-project.org… 208.113.193.9, 80.77.247.17, 82.140.42.54, … Connecting to ubuntu.beryl-project.org|208.113.193.9|:80… connected. HTTP request sent, awaiting response… 404 Not Found 10:48:23 ERROR 404: Not Found. ลิ้งมันตายหรือป่าวครับ
beryl's picture

ยังใช้ ก่อน gutsy (7.10) หรือครับถึงต้องติดตั้ง beryl ถ้าใช้ 7.10 ขึ้นมาถึง 8.04 ไม่ต้องติดตั้งครับ ใช้ได้เลย ในนามของ compiz-fusion ลงตัวจัดการเดสค์ท็อป เอฟเฟค อีกตัวก็สร้างสรรค์ได้แล้ว
ngamsap's picture

Ign http://ubuntu.beryl-project.org feisty Release.gpg Ign http://ubuntu.beryl-project.org feisty Release Ign http://ubuntu.beryl-project.org feisty/main Packages Err http://ubuntu.beryl-project.org feisty/main Packages 404 Not Found [IP: 88.191.250.18 80] Fetched 16.0kB in 49s (324B/s) W: GPG error: http://th.archive.ubuntu.com hardy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 W: GPG error: http://th.archive.ubuntu.com hardy-updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 W: Failed to fetch http://ubuntu.beryl-project.org/dists/feisty/main/binary-amd64/Packages.gz 404 Not Found [IP: 88.191.250.18 80] E: Some index files failed to download, they have been ignored, or old ones used instead.